﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Web;
using System.Web.Http;
using System.Web.Mvc;
using System.Web.Optimization;
using System.Web.Routing;

namespace Mapzania.Example
{
    public class MvcApplication : System.Web.HttpApplication
    {
        protected void Application_Start()
        {
            //Mapzania.PostgreSQL.Services.RegisterAll();

            string path = Server.MapPath("/");
            path = Path.Combine(path, "Logs");

            var logger = new Mapzania.Logging.NLogLogger(path);
            Mapzania.Services.RegisterLogger(logger);

            //var options = Services.Options.Default;
            //options.DataSourcesCachingEnabled = false;
            //Mapzania.Services.Start(this, options);
            Mapzania.Services.Start(this);

            AreaRegistration.RegisterAllAreas();

            //Mapzania.Services.RegisterWebApi("mz");
            GlobalConfiguration.Configure(WebApiConfig.Register);

            RouteConfig.RegisterRoutes(RouteTable.Routes);
        }
    }
}
