﻿/// <reference path="../../mapzania.js"/>

var Mapzania = (function (ns) {

    //---------------------------------------------------------

    var GJ = ns.GeoJson = ns.GeoJson || {};
    GJ.heal = heal;
    return ns;

    //---------------------------------------------------------

    function heal(obj) {
        if (obj.type == "Feature")
            _healFeature(obj);

        if (obj.type == "FeatureCollection")
            _healFeatureCollection(obj);
    }

    //---------------------------------------------------------

    function _healFeature(feature) {
        if (!feature.properties)
            feature.properties = {};
    }

    function _healFeatureCollection(fc) {
        if (!fc.features)
            fc.features = [];

        fc.features.forEach(function (ftr) {
            _healFeature(ftr);
        })
    }

})(Mapzania || {});