﻿/// <reference path="../mapzania.js"/>

var Mapzania = (function (ns) {

    //---------------------------------------------------------

    ns.Leaflet = ns.Leaflet || {};

    ns.Leaflet.Convert = {
        latLngBoundsToBBox: latLngBoundsToBBox,
        pixelBoundsToBBox: pixelBoundsToBBox
    };

    return ns;

    //---------------------------------------------------------

    function latLngBoundsToBBox(latLngBounds) {
        var sw = latLngBounds.getSouthWest();
        var ne = latLngBounds.getNorthEast();

        return [sw.lng, sw.lat, ne.lng, ne.lat];
    }

    function pixelBoundsToBBox(pixelBounds) {

        var p = pixelBounds;

        return [p.min.y, p.min.x, p.max.y, p.max.x];
    }


})(Mapzania || {});