﻿/// <reference path="../mapzania.js"/>

var Mapzania = (function (ns) {

    //---------------------------------------------------------

    ns.Timer = Timer;
    return ns;

    //---------------------------------------------------------

    function Timer() {
        var count = 0;
        var time_ms = 0;

        //-----------------------------------------------------

        this.start = function () {
            count++;
            this.start_time = new Date();
        }

        this.stop = function () {
            time_ms += ((new Date()) - this.start_time);
        }

        this.describe = function () {
            if (count == 0)
                return "0"
            else
                if (count == 1)
                    return "Time (ms) = " + (time_ms)
                else
                    return "[Count = " + count + ", Avg Time (ms) = " + (time_ms / count) + "]";
        }

    }

})(Mapzania || {});