﻿(function () {
    'use strict';

    angular
        .module("app")
        .directive("breadCrumb", directive);

    //-------------------------------------------------

    directive.$inject = [];

    function directive() {

        controller.$inject = ["ContextService"];
        //controller.$inject = [];

        return {
            scope: {
                model: '=ngModel',
            },
            templateUrl: "bread-crumb",
            controller: controller,
            controllerAs: "vm",
            bindToController: true
        };

        //--------------------------------------------

        function controller(svc) {
            var vm = this;

            //vm.model = svc.getContext();

            vm.svc = svc;

            vm.select = select;

            //----------------------------------------

            function select(item, ordinal) {
                svc.setContext(item.item, item.label, ordinal);
            }
        }
    }

})();
